path: /build/build/i3lock-x11-misc-2.14.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} x11-misc/i3lock -pv -t && \
    emerge -j ${JOBS} --nodeps x11-misc/i3lock
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/i3lock && luet-portage --dir /pkgdir/i3lock
    x11-misc/i3lock && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:8143b27f0a0492c8943df50554c564d3f5b2fab418758e43b555c7c76d568ed4
  package:
    name: i3lock
    version: 2.14.1
    category: x11-misc
    requires:
    - name: yajl
      version: '>=0'
      category: dev-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: improved screen locker
    uri:
    - https://i3wm.org/i3lock/
    license: BSD
    buildtimestamp: 2023-09-30 19:59:53.731409876 +0000 UTC m=+65.956271916
    labels:
      BDEPEND: virtual/pkgconfig >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
      DEPEND: dev-libs/libev sys-libs/pam x11-libs/cairo[X,xcb(+)] x11-libs/libxcb[xkb]
        x11-libs/libxkbcommon[X] x11-libs/xcb-util x11-libs/xcb-util-xrm
      RDEPEND: dev-libs/libev sys-libs/pam x11-libs/cairo[X,xcb(+)] x11-libs/libxcb[xkb]
        x11-libs/libxkbcommon[X] x11-libs/xcb-util x11-libs/xcb-util-xrm
      emerge.packages: x11-misc/i3lock
      kit: desktop-kit
      original.package.name: x11-misc/i3lock
      original.package.slot: "0"
      original.package.version: 2.14.1
    treedir: /build/packages
  package_dir: /pkgdir/i3lock
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: a3306997f632727095d973d5b9665c4e4c2db98de5ad09ddd11488c4b737de56
compressiontype: zstd
files:
- etc/pam.d/i3lock
- usr/bin/i3lock
- usr/share/doc/i3lock-2.14.1/CHANGELOG.bz2
- usr/share/doc/i3lock-2.14.1/README.md.bz2
- usr/share/man/man1/i3lock.1.bz2
- var/db/pkg/x11-misc/i3lock-2.14.1/BDEPEND
- var/db/pkg/x11-misc/i3lock-2.14.1/BUILD_TIME
- var/db/pkg/x11-misc/i3lock-2.14.1/CATEGORY
- var/db/pkg/x11-misc/i3lock-2.14.1/CBUILD
- var/db/pkg/x11-misc/i3lock-2.14.1/CFLAGS
- var/db/pkg/x11-misc/i3lock-2.14.1/CHOST
- var/db/pkg/x11-misc/i3lock-2.14.1/CONTENTS
- var/db/pkg/x11-misc/i3lock-2.14.1/COUNTER
- var/db/pkg/x11-misc/i3lock-2.14.1/CXXFLAGS
- var/db/pkg/x11-misc/i3lock-2.14.1/DEFINED_PHASES
- var/db/pkg/x11-misc/i3lock-2.14.1/DEPEND
- var/db/pkg/x11-misc/i3lock-2.14.1/DESCRIPTION
- var/db/pkg/x11-misc/i3lock-2.14.1/EAPI
- var/db/pkg/x11-misc/i3lock-2.14.1/FEATURES
- var/db/pkg/x11-misc/i3lock-2.14.1/HOMEPAGE
- var/db/pkg/x11-misc/i3lock-2.14.1/INHERITED
- var/db/pkg/x11-misc/i3lock-2.14.1/IUSE
- var/db/pkg/x11-misc/i3lock-2.14.1/IUSE_EFFECTIVE
- var/db/pkg/x11-misc/i3lock-2.14.1/KEYWORDS
- var/db/pkg/x11-misc/i3lock-2.14.1/LDFLAGS
- var/db/pkg/x11-misc/i3lock-2.14.1/LICENSE
- var/db/pkg/x11-misc/i3lock-2.14.1/NEEDED
- var/db/pkg/x11-misc/i3lock-2.14.1/PF
- var/db/pkg/x11-misc/i3lock-2.14.1/RDEPEND
- var/db/pkg/x11-misc/i3lock-2.14.1/REQUIRES
- var/db/pkg/x11-misc/i3lock-2.14.1/SIZE
- var/db/pkg/x11-misc/i3lock-2.14.1/SLOT
- var/db/pkg/x11-misc/i3lock-2.14.1/USE
- var/db/pkg/x11-misc/i3lock-2.14.1/environment.bz2
- var/db/pkg/x11-misc/i3lock-2.14.1/i3lock-2.14.1.ebuild
- var/db/pkg/x11-misc/i3lock-2.14.1/repository
package_cacheimage: ""
runtime:
  name: i3lock
  version: 2.14.1
  category: x11-misc
  requires:
  - name: libev
    version: '>=0'
    category: dev-libs
  - name: pam
    version: '>=0'
    category: sys-libs
  - name: cairo
    version: '>=0'
    category: x11-libs
  - name: libxkbcommon
    version: '>=0'
    category: x11-libs
  - name: xcb-util-xrm
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: improved screen locker
  uri:
  - https://i3wm.org/i3lock/
  license: BSD
  labels:
    BDEPEND: virtual/pkgconfig >=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2
    DEPEND: dev-libs/libev sys-libs/pam x11-libs/cairo[X,xcb(+)] x11-libs/libxcb[xkb]
      x11-libs/libxkbcommon[X] x11-libs/xcb-util x11-libs/xcb-util-xrm
    RDEPEND: dev-libs/libev sys-libs/pam x11-libs/cairo[X,xcb(+)] x11-libs/libxcb[xkb]
      x11-libs/libxkbcommon[X] x11-libs/xcb-util x11-libs/xcb-util-xrm
    emerge.packages: x11-misc/i3lock
    kit: desktop-kit
    original.package.name: x11-misc/i3lock
    original.package.slot: "0"
    original.package.version: 2.14.1
